{
	"compilerOptions": {
		"target": "ESNext",
		"useDefineForClassFields": true,
		"module": "ESNext",
		"lib": [
			"ESNext",
			"DOM",
			"DOM.Iterable"
		],
		"skipLibCheck": true,
		/* Bundler mode */
		"moduleResolution": "Node",
		"allowImportingTsExtensions": true,
		"resolveJsonModule": true,
		"isolatedModules": true,
		"noEmit": true,
		"jsx": "preserve",
		/* Linting */
		"strict": true,
		"noUnusedLocals": true,
		"noUnusedParameters": true,
		"noFallthroughCasesInSwitch": true,
		"baseUrl": ".",
		"paths": {
			"@/*": [
				"src/*"
			]
		}
	},
	"include": [
		"src/**/*.ts",
		"src/**/*.d.ts",
		"src/**/*.vue",
		"node_modules/tdesign-vue-next/global.d.ts"
	],
	"references": [
		{
			"path": "./tsconfig.node.json"
		}
	]
}
